Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.time.simulated
Class DirectTimeSource

    java.lang.Object
      rice.environment.time.simulated.DirectTimeSource

All Implemented Interfaces:
  TimeSource

    public class DirectTimeSource

extends java.lang.Object
implements TimeSource

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Constructor Summary
`DirectTimeSource(long time)` Constructor for DirectTimeSource.
`DirectTimeSource(long time, java.lang.String instance)` Constructor for DirectTimeSource.
`DirectTimeSource(Parameters p)` Constructor for DirectTimeSource.

Method Summary
`long` | `currentTimeMillis()` DESCRIBE THE METHOD
`void` | `incrementTime(int millis)` Should be synchronized on the selectorManager
`void` | `setLogManager(LogManager manager)` Sets the LogManager attribute of the DirectTimeSource object
`void` | `setSelectorManager(SelectorManager sm)` Sets the SelectorManager attribute of the DirectTimeSource object
`void` | `setTime(long newTime)` Should be synchronized on the selectorManager
`void` | `sleep(long delay)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectTimeSource

    public DirectTimeSource(long time)

  Constructor for DirectTimeSource.

  Parameters:
    `time` - DESCRIBE THE PARAMETER

### DirectTimeSource

    public DirectTimeSource(long time,
                            java.lang.String instance)

  Constructor for DirectTimeSource.

  Parameters:
    `time` - DESCRIBE THE PARAMETER
    `instance` - DESCRIBE THE PARAMETER

### DirectTimeSource

    public DirectTimeSource(Parameters p)

  Constructor for DirectTimeSource.

  Parameters:
    `p` - DESCRIBE THE PARAMETER

Method Detail

### setLogManager

    public void setLogManager(LogManager manager)

  Sets the LogManager attribute of the DirectTimeSource object

  Parameters:
    `manager` - The new LogManager value

### setSelectorManager

    public void setSelectorManager(SelectorManager sm)

  Sets the SelectorManager attribute of the DirectTimeSource object

  Parameters:
    `sm` - The new SelectorManager value

### setTime

    public void setTime(long newTime)

  Should be synchronized on the selectorManager

  Parameters:
    `newTime` -

### currentTimeMillis

    public long currentTimeMillis()

  DESCRIBE THE METHOD

  Specified by:
    `currentTimeMillis` in interface `TimeSource`
  Returns:
    DESCRIBE THE RETURN VALUE

### incrementTime

    public void incrementTime(int millis)

  Should be synchronized on the selectorManager

  Parameters:
    `millis` - DESCRIBE THE PARAMETER

### sleep

    public void sleep(long delay)
               throws java.lang.InterruptedException

  DESCRIBE THE METHOD

  Specified by:
    `sleep` in interface `TimeSource`
  Parameters:
    `delay` - DESCRIBE THE PARAMETER
  Throws:
    `java.lang.InterruptedException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.